compile_pdf:
  image: iustem/latex
  variables:
    GIT_DEPTH: "1"
    GIT_STRATEGY: clone
    GIT_SUBMODULE_STRATEGY: recursive
  cache:
    key: "$CI_PROJECT_NAME:$CI_COMMIT_REF_NAME"
    untracked: true
  script:
    - mv font-cache /root/.texlive2019 || true
    - latexmk -shell-escape -pdf assignments.tex
    - mv /root/.texlive2019 font-cache || (ls -la /root/; false)
  artifacts:
    paths:
      - assignments.pdf
